Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.combinationlookup
Class CombinationLookupData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.combinationlookup.CombinationLookupData

All Implemented Interfaces:
  StepDataInterface

    public class CombinationLookupData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`Map<org.pentaho.di.core.RowMetaAndData,Long>` | `cache`
`org.pentaho.di.core.database.Database` | `db`
`org.pentaho.di.core.row.RowMetaInterface` | `hashRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `insertRowMeta`
`int[]` | `keynrs`
`org.pentaho.di.core.row.RowMetaInterface` | `lookupRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`PreparedStatement` | `prepStatementInsert`
`PreparedStatement` | `prepStatementLookup`
`String` | `realSchemaName`
`String` | `realTableName`
`boolean[]` | `removeField`
`String` | `schemaTable`
`long` | `smallestCacheKey`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`CombinationLookupData()` Default Constructor

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### db

    public org.pentaho.di.core.database.Database db

### keynrs

    public int[] keynrs

### cache

    public Map<org.pentaho.di.core.RowMetaAndData,Long> cache

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### lookupRowMeta

    public org.pentaho.di.core.row.RowMetaInterface lookupRowMeta

### insertRowMeta

    public org.pentaho.di.core.row.RowMetaInterface insertRowMeta

### hashRowMeta

    public org.pentaho.di.core.row.RowMetaInterface hashRowMeta

### realTableName

    public String realTableName

### realSchemaName

    public String realSchemaName

### removeField

    public boolean[] removeField

### schemaTable

    public String schemaTable

### prepStatementLookup

    public PreparedStatement prepStatementLookup

### prepStatementInsert

    public PreparedStatement prepStatementInsert

### smallestCacheKey

    public long smallestCacheKey

Constructor Detail

### CombinationLookupData

    public CombinationLookupData()

  Default Constructor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD